Bug 39854 - kernel does not compile
kernel does not compile
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-09 08:13 EDT by Igor Pesando
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-09 08:17:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.config (2.55 KB, text/plain)
2001-05-09 08:14 EDT, Igor Pesando
no flags Details

  None (edit)
Description Igor Pesando 2001-05-09 08:13:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686; Nav)

Description of problem:
the kernel network part exits with an error during compilation after 

How reproducible:
Always

Steps to Reproduce:
1. install sources
2. make xconfig
3. make mrproper
4. make dep
5. make bzImage
	

Actual Results:  error reported by the compilator:

make[2]: Leaving directory `/usr/src/linux-2.4.2/arch/i386/lib'
make[1]: Leaving directory `/usr/src/linux-2.4.2/arch/i386/lib'
gcc -E -C -P -I/usr/src/linux-2.4/include -imacros
/usr/src/linux-2.4/include/asm-i386/page_offset.h -Ui386
arch/i386/vmlinux.lds.S >arch/i386/vmlinux.lds
ld -m elf_i386 -T /usr/src/linux-2.4/arch/i386/vmlinux.lds -e stext
arch/i386/kernel/head.o arch/i386/kernel/init_task.o init/main.o
init/version.o \
        --start-group \
        arch/i386/kernel/kernel.o arch/i386/mm/mm.o kernel/kernel.o mm/mm.o
fs/fs.o ipc/ipc.o \
        drivers/block/block.o drivers/char/char.o drivers/misc/misc.o
drivers/net/net.o drivers/media/media.o  drivers/ide/idedriver.o
drivers/scsi/scsidrv.o drivers/scsi/aic7xxx_new/aic7xxx_drv.o
drivers/cdrom/driver.o drivers/sound/sounddrivers.o drivers/pci/driver.o
drivers/pnp/pnp.o drivers/video/video.o \
        net/network.o \
        /usr/src/linux-2.4/arch/i386/lib/lib.a /usr/src/linux-2.4/lib/lib.a
/usr/src/linux-2.4/arch/i386/lib/lib.a \
        --end-group \
        -o vmlinux
net/network.o: In function `irc_nat_expected':
net/network.o(.text+0x34d1f): undefined reference to `ip_irc_lock'
net/network.o(.text+0x34d4a): undefined reference to `ip_irc_lock'
net/network.o(.text+0x34d58): undefined reference to `ip_irc_lock'
net/network.o(.text+0x34d87): undefined reference to `ip_irc_lock'
net/network.o(.text+0x34d9c): undefined reference to `ip_irc_lock'
net/network.o(.text+0x34dc7): more undefined references to `ip_irc_lock'
follow
make: *** [vmlinux] Error 1


Expected Results:  a new kernel :-(

Additional info:

the .config is in attachment
Comment 1 Igor Pesando 2001-05-09 08:14:19 EDT
Created attachment 17866 [details]
.config
Comment 2 Arjan van de Ven 2001-05-09 08:17:41 EDT
2. make xconfig
3. make mrproper

woops.. make mrproper removes your .config file; these should be done in
the other order (eg first make mrproper and THEN make xconfig)

Could you please try that and let me know ?
Comment 3 Igor Pesando 2001-05-10 06:07:09 EDT
Even if I was (almost) sure I did in the proper order but I wrote in the wrong
one, I checked again and got the same error.

Note You need to log in before you can comment on or make changes to this bug.